﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}

<style>
    .example4 {
        width: 100%;
        height: 200px;
    }

    .dropdowndiv {
        border-radius: 15px;
        float: left;
        height: 40px;
        margin-right: 4px;
        width: 40px;
    }
    .project:hover .photo-wrapper {
        background-color: transparent !important;
        background-image: none !important;
        background-repeat: no-repeat;
        background-position: center;
        background-size: 76px;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        position: relative;
    }
    .project:hover .photo {
        filter: alpha(opacity=4000);
        opacity: 1 !important;
        filter: alpha(opacity=40);
    }
</style>
<link href="~/Content/Site.css" rel="stylesheet" />
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-desktop"></i>
            @if (ViewContext.RouteData.Values["controller"].ToString() != "Home")
            {
                @Html.ActionLink(ViewContext.RouteData.Values["controller"].ToString(), "Index", ViewContext.RouteData.Values["controller"].ToString())
            }
        </li>
    </ol>
    <h3> Blog</h3>

    <button id="NewBlog" onclick="NewBlog();" type="button" class="btn btn-theme btn_newBlog" data-toggle="modal" data-target="#exampleModal">
        New Blog
    </button>
    @*<div class="row mt" style="text-align: right;">


            <button type="button" class="btn btn-large btn-primary" id="NewBlog" onclick="NewBlog();">New Blog</button>

        </div>*@
    <hr>

    <div class="row">
        <div class="col-md-12">
            <div class="col-md-4">
                &nbsp;
            </div>

            <div class="col-md-2">
                @*<select id="Filter_ArtName" class="form-control select.form-control ">
                        <option value="0">--ArtistWise--</option>
                    </select>*@
                <input type="text" id="datepicker_From" class="form-control" placeholder="Date From">
            </div>
            <div class="col-md-2">
                @*<select id="Filter_ArtStatus" class="form-control select.form-control ">
                        <option value="-1">--Status--</option>

                    </select>*@


                <input type="text" id="datepicker_To" class="form-control" placeholder="Date To">
            </div>
            <div class="col-md-2">
                <select id="Filter_Status" class="form-control select.form-control ">
                    <option value="2">--Status--</option>
                    <option value="1">Active</option>
                    <option value="0">Inactive</option>

                </select>
            </div>
            <div class="col-md-2">
                <button type="button" class="btn btn-large btn-primary" id="FilterBTN" onclick="FilterData();">Filter</button>

            </div>

        </div>

    </div>




    <div class='row mt mb' id="binddata">
    </div>

    <div class="row mt mb center" style="text-align: center;">
        <div class="form-send">
            <button type="submit" class="btn btn-large btn-primary" id="MoreBTN" onclick="getBlogData();">More art</button>
        </div>
    </div>

    <!-- /row -->
    <div class="container">
        <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Comments</h5>
                        <input type="hidden" id="hidden_blog_id" />
                        <button type="button" class="close cmt_close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body cmt_body">

                        <div id="comment_placeholder">


                        </div>
                        <div id="seeMoreReplies_placeholder" style="display:none">
                            <h5 id="backToComments">back to comments</h5>
                            <div class="mainComment">
                                <div>
                                    @*<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].usr_Image + '" />*@
                                    <img id="user_image" class="userImage" src="" />
                                </div>
                                <div class="mainContent">
                                    <div class="mainHeader">
                                        <h5 class="username" id="cmt_subUserName"> usr_FullName </h5>
                                    </div>
                                    <p class="commentText" id="cmt_subDes"> arc_Desc </p>
                                    <div id="replyOfReply">

                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                    <div class="modal-footer" id="manCommentTextBox">
                        <div style="display:flex">
                            <input type="text" id="txt_mainComment" class="form-control mainCommentEnter" name="fname" placeholder="Enter new Comment">
                            <i class="fa fa-paper-plane btn_send" aria-hidden="true" onclick="AddComment();"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<script src="~/Scripts/CommonFunction.js"></script>
<script src="~/Scripts/date.format.js"></script>
<style>
    .blog_img {
        opacity: 1;
        filter: brightness(0.5);
    }

    .centered_img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        color: #ffffff;
        font-size: 27px;
    }
</style>
<script>

     $( function() {
    $( "#datepicker_From" ).datepicker({ dateFormat: 'dd-mm-yy' });
     });
    $(function () {
    $( "#datepicker_To" ).datepicker({ dateFormat: 'dd-mm-yy' });
  } );

    var indexval = 0;
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]';

    //alert(imgpath);
    $(document).ready(function () {
        getBlogData();

    });
        function deleteblog(BlogId) {

        swal({
            title: "Are you sure? ",
            text: "Once deleted, you will not be able to recover this Art!",
            icon: "warning",
            buttons: true,
            dangerMode: true,
        })
.then((willDelete) => {
    if (willDelete) {
        
        $.ajax({
            type: "POST",
            async: false,
            dataType: 'json',
            url: '@Url.Action("Blog_Delete", "Blog", new { area = "Admin"})',
            data: { BlogId: BlogId },
            success: function (data) {
                if (data.status == true) {

                    swal(" Your Art  has been deleted!", {
                        icon: "success",
                    });

                }
                location.reload(true);
            }
        });


    } else {
        swal("Your Art  is safe!");
    }
});
    }
    var date_From = "";
    var date_To = "";
    var sr_Status = 2;

    var indexval = 0;

    function FilterData() {
        
        var DateFrom = $("#datepicker_From").val();
        if (DateFrom != "") {
            date_From = reformatDate(DateFrom);
        } else {
            date_From = "";
        }



        var DateTo = $("#datepicker_To").val();
        if (DateTo != "") {
            date_To = reformatDate(DateTo);
        }
        else {
            date_To ="";
        }


        sr_Status = $("#Filter_Status").val();



        $("#binddata").empty();
        indexval = 0;
        getBlogData();
        
        if (indexval < 7) {
            $("#MoreBTN").hide();

        } else {
            $("#MoreBTN").show();
        }


    }


    function getBlogData() {
        try {
            $.ajax({
                type: "GET",
                async: false,
                dataType: "json",
                url: '@Url.Action("GetAllBlog", "Blog", new { area = "Admin"})',
                data: { Index: indexval, Date_To:date_To, Date_From:date_From, Status:sr_Status },
                success: function (data) {
                    if (data.status == "success") {
                        var model = data.data;
                        console.log(model);
                        
                        for (var i = 0; i < model.length; i++) {
                            var newdata = '';
                            var status = '';
                            
                            var title = model[i].bTitle.substring(0, 25) +"..";

                            newdata = newdata + "<div class='col-lg-3 col-md-3 col-sm-3 col-xs-12 desc mb_3'> " +
                                                    "<div class='project-wrapper'> " +
                                "<div class='project'> " +

                                "<div class='photo-wrapper'> " +
                                  "<div class='img_info' style='width:100%'>" +
"<span><i class='fa fa-heart' style='margin-right:5px'></i>" + model[i].TotalBlogLike + "</span>  <span style='cursor:pointer;' onclick='getComments(" + model[i].bId + ",0);' data-toggle='modal' data-target='.bd-example-modal-lg'><i class='fa fa-comment' style='margin-right:5px'></i>" + model[i].TotalBlogComment + "</span>" +
"</div>"+
                                                                "<div class='photo'>" +
                                                                    "<a >" +
                                                                        "<img class='example4 img-responsive blog_img' src= '../../ImageStorage/Blog/" + model[i].bImage + "' alt=''>" +
                                                                         "<span class='centered_img'>" + title + " </span>" +
                                                                    "</a>" +
                                                                "</div>" +
                                                                //"<div class='overlay'></div>" +
                                                            "</div>" +
                                                        "</div>" +
                                                    "</div>" +

                                                     "<div class='row mt_3'>" +
                                                        "<div class='col-md-6 btn_width'>" +
                                                            "<button type='button' class='btn btn-theme' onclick='EditBlog(" + model[i].bId + ");'>Edit</button>" +
                                                        "</div>" +
                                                        "<div class='col-md-6 text_right btn_width'>" +
                                                            "<button type='button' class='btn btn-theme04' onclick='deleteblog(" + model[i].bId + ");'>Delete</button>" +
                                                         "</div>" +
                                                    "</div></div>";


                            indexval = indexval + 1;

                            $("#binddata").append(newdata);
                        }
                        if (indexval % 4 != 0) {
                            $("#MoreBTN").hide();

                        }
                    }
                }
            });
        } catch (e) {
            alert(e)
        }


    }
     function getComments(blogID, UserID) {
        
        console.log(blogID, UserID);
        $("#hidden_blog_id").val(blogID);
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("GetBlogComment", "Blog", new { area = "Admin"})',
            data: { blogID: blogID, UserId: UserID },
            success: function (data) {

                
                if (data.status == "success") {
                    var model = data.data;
                    console.log(model);
                    if (model.length > 0) {
                          $("#comment_placeholder").empty();
                        for (var i = 0; i < model.length; i++) {
                            
                            var date =  model[i].bc_CreatedDate;
                            var nowDate = new Date(parseInt(date.substr(6)))
                            var createdDate = nowDate.format("mmm d, yyyy hh:mm:ss");
                            var comments = '';
                            var userimage = imagespath+"\\UserProfile\\";
                            if (model[i].usr_Image == "" || model[i].usr_Image == null) {
                                userimage = userimage + "user-image.png";
                            } else{
                                  userimage = userimage + model[i].usr_Image;
                            }
                            comments = comments + '<div class="mainComment">'
                                                + '	<div>'
                                                //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].usr_Image + '"/>'
                                                + '		<img class="userImage" src="'+userimage+'"/>'
                                                + '	</div>'
                                                + '	<div class="mainContent">'
                                                +'<div class="mainHeader">'
                                                + '		<h5 class="username">' + model[i].usr_FullName + '</h5>'

                                                + '		<p class="time"> ' + createdDate + '</p>'
                                                +'</div>'
                                                + '		<p class="commentText">' + model[i].bc_text + '</p>'
                                                + '		<span onclick="CommentLike(' + model[i].bc_Id + ');"><i class="fa fa-heart" style="cursor:pointer" id="heart' + model[i].bc_Id + '"></i></span>'
                                                + '		<span id="likeValue' + model[i].bc_Id + '" style="display:none;">' + model[i].LikeComment + '</span>'
                                                + '		<label class="btn_reply" onclick="AddMainReplyTextBox(' + model[i].bc_Id + ',' + model[i].bc_BlogId + ');">Reply</label>'
                                                + '<div id="mainReplyBox' + model[i].bc_Id + '">'
                                                + '</div>'
                                                + '	</div>'
                                                + '</div>'
                                                + '<div id="subComments' + model[i].bc_Id + '"> '
                                                + '</div>';
                                $("#comment_placeholder").append(comments);
                                var hrt_id = "#heart" + model[i].bc_Id;
                                if (model[i].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                            if (model[i].BlogcommentReply.length > 0) {
                                for (j = 0; j < model[i].BlogcommentReply.length; j++) {
                                    var subuserimage = imagespath+"\\UserProfile\\";
                                        if (model[i].BlogcommentReply[j].usr_Image == "" ||model[i].BlogcommentReply[j].usr_Image == null) {
                                            subuserimage = subuserimage + "user-image.png";
                                        } else{
                                              subuserimage = subuserimage + model[i].BlogcommentReply[j].usr_Image;
                                        }
                                    var replies = '';
                                    replies = replies +'<div class="subComment">'
		                                            +'	<div >'
                                        //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].ArtcommentReply[j].usr_Image + '" />'
                                         + '		<img class="userImage" src="'+subuserimage+'"/>'
		                                            +'	</div>'
		                                            +'	<div class="subContent">'
		                                            +'		<h5 class="username ">' + model[i].BlogcommentReply[j].usr_FullName + '</h5>'
		                                            +'		<p class="commentText">' + model[i].BlogcommentReply[j].bc_text + '</p>'
		                                           + '		<span onclick="CommentLike(' + model[i].BlogcommentReply[j].bc_Id + ');"><i class="fa fa-heart" style="cursor:pointer" id="heart' + model[i].BlogcommentReply[j].bc_Id + '"></i></span>'
                                                + '		<span id="likeValue' + model[i].BlogcommentReply[j].bc_Id + '" style="display:none;">' + model[i].BlogcommentReply[j].LikeComment + '</span>'
                                                    + '		<label class="btn_reply" onclick="AddsubReplyTextBox(' + model[i].BlogcommentReply[j].bc_Id + ',' + model[i].BlogcommentReply[j].bc_BlogId + ');">Reply</label>'
                                                    +'<lable id="btn_seeMoreply" onclick="SeeMoreReply(' + model[i].BlogcommentReply[j].bc_Id + ',\''+ model[i].BlogcommentReply[j].usr_FullName + '\',\'' + model[i].BlogcommentReply[j].bc_text + '\',\'' +model[i].BlogcommentReply[j].usr_Image+ '\');">see more replies(' + model[i].BlogcommentReply[j].more + ')</lable>'
                                                    + '<div id="subReplyBox' + model[i].BlogcommentReply[j].bc_Id + '">'
                                                    + '</div>'
		                                            +'	</div>'
                                        + '</div>';

                                    var subComments = "#subComments" + model[i].bc_Id;
                                    $(subComments).addClass('cmt_bottom');
                                    $(subComments).append(replies);

                                     var hrt_id = "#heart" + model[i].BlogcommentReply[j].bc_Id;
                                if (model[i].BlogcommentReply[j].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                                }
                            }
                        }
                    }
                }

            }
        });
    }

     function SeeMoreReply(id, username, decs, userImage) {

         
        if (userImage == "" ||userImage == null) {
                                            userImage =  "user-image.png";
                                        }

        $("#comment_placeholder").hide();
        $("#seeMoreReplies_placeholder").show();
        $("#manCommentTextBox").hide();
        $("#cmt_subUserName").text(username);
        $("#cmt_subDes").text(decs);
        var path =imagespath;
        $("#user_image").attr("src",path+"UserProfile/" + userImage);
        var hidden_blogID = $("#hidden_blog_id").val();
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("GetBlogsubComment", "Blog", new { area = "Admin"})',
            data: { blogID: hidden_blogID,BlogCommtID:id, UserId: 1 },
            success: function (data) {
                if (data.status == "success") {
                    var model = data.data;
                    console.log(model);
                    if (model.length > 0) {
                        $("#replyOfReply").empty();
                        for (var i = 0; i < model.length; i++) {
                            var comments = '';
                              var userimage = imagespath+"\\UserProfile\\";
                            if (model[i].usr_Image == "" || model[i].usr_Image == null) {
                                userimage = userimage + "user-image.png";
                            } else{
                                  userimage = userimage + model[i].usr_Image;
                            }
                            comments = comments + '<div class="mainComment">'
                                + '	<div>'
                                //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].usr_Image + '"/>'
                                + '		<img class="userImage" src="'+userimage+'"/>'
                                + '	</div>'
                                + '	<div class="mainContent">'
                                + '<div class="mainHeader">'
                                + '		<h5 class="username">' + model[i].usr_FullName + '</h5>'
                                + '</div>'
                                + '		<p class="commentText">' + model[i].bc_text + '</p>'
                                + '		<span onclick="CommentLike(' + model[i].bc_Id + ');"><i class="fa fa-heart" style="cursor:pointer" id="heart' + model[i].bc_Id + '"></i></span>'
                               + '		<span id="likeValue' + model[i].bc_Id + '" style="display:none;">' + model[i].LikeComment + '</span>'
                                + '		<label class="btn_reply" onclick="AddsubReplyTextBox(' + model[i].bc_Id + ');">Reply</label>'
                                +'<lable id="btn_seeMoreply" onclick="SeeMoreReply(' + model[i].bc_Id + ',\''+ model[i].usr_FullName + '\',\'' + model[i].bc_text + '\',\'' + model[i].usr_Image + '\');" >see more replies(' + model[i].more + ')</lable>'
                                + '<div id="subReplyBox' + model[i].bc_Id + '">'
                                + '</div>'
                                + '	</div>'
                                + '</div>';

                                                //+ '<div id="subComments' + model[i].arc_Id + '"> '
                                                //+ '</div>';
                            $("#replyOfReply").append(comments);
                                 var hrt_id = "#heart" + model[i].bc_Id;
                                if (model[i].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                        }

                    }
                }
            }
        });
    }
    $("#backToComments").click(function () {
           $("#comment_placeholder").show();
        $("#seeMoreReplies_placeholder").hide();
        $("#manCommentTextBox").show();
          $("#replyOfReply").empty();
    });


     function AddMainReplyTextBox(id,blog_id) {
        var html = '';
        html = html + '<input id="txt_' + id + '" class="form-control" type="text" placeholder="Reply"/>'
            + '<span><lable style="cursor:pointer" onclick="ReplyComment(' + id + ',' + blog_id + ');">add</lable> <lable class="btn_cancle_main" id="main_cancel" onclick="mainCancle(' + id + ');">cancel</lable></span>';
        var mainID = "#mainReplyBox" + id;
        $(mainID).empty();
        $(mainID).append(html);

        }


    function AddsubReplyTextBox(id,blog_id) {
        
        var hidden_blog_id = $("#hidden_blog_id").val();
        var html = '';
        html = html + '<input id="txt_' + id + '"  class="form-control" type="text"  placeholder="Reply" />'
            + '<span><lable style="cursor:pointer" onclick="ReplyComment(' + id + ',' + hidden_blog_id + ');">add</lable> <lable class="btn_cancle_main" id="sub_cancel" onclick="subCancle(' + id + ');">cancel</lable></span>';
          var subID = "#subReplyBox" + id;
        $(subID).empty();
        $(subID).append(html);

    }



    function mainCancle(id) {
        
        var mainID = "#mainReplyBox" + id;
        $(mainID).empty();
    }

      function subCancle(id) {
          
              var subID = "#subReplyBox" + id;
        $(subID).empty();
    }


     function AddComment() {
        
        var hidden_blogID = $("#hidden_blog_id").val();
        var newMainComment = $("#txt_mainComment").val().trim();
        if (newMainComment == "") {
            alert("Please enter comment");
        }

        var data1 = {
                bc_BlogId:hidden_blogID,
                bc_text: newMainComment,
                bc_UserId: 1,
                bc_masterId:0
                }
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("AddUpdateBlogComment", "Blog", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                
                $("#txt_mainComment").val("");
                getComments(hidden_blogID, 1);
            }
        });
    }

    function ReplyComment(id , blog_id) {
          
          var txt_mainReplay = "#txt_" + id;
        var replyMainComment = $(txt_mainReplay).val().trim();
        if (replyMainComment == "") {
            alert("Please enter comment");
        }

        var data1 = {
                bc_BlogId:blog_id,
                bc_text: replyMainComment,
                bc_UserId: 1,
                bc_masterId:id

                }
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("AddUpdateBlogComment", "Blog", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                
                $(txt_mainReplay).val("");
                getComments(blog_id, 1);
            }
        });
    }



       function CommentLike(c_id) {
       
        var cmt_id = "#likeValue" + c_id;
        var hrt_id = "#heart" + c_id;
        var like_id = $(cmt_id).text();
               var data1 = {
                bcl_Id:like_id,
                bcl_bcId: c_id
                }
        $.ajax({
            type: "POST",
            dataType: "json",
            url: '@Url.Action("BlogCommentLike", "Blog", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                
                if (data != 0) {
                    $(hrt_id).css("color", "red");
                } else {
                    $(hrt_id).css("color", "grey");
                }
                $(cmt_id).text(data);
            }
        });
    }
    function NewBlog()
    {
        var url = '@Url.Action("BlogCreate", "Blog", new { area = "admin"})';

        window.location.href = url;

    }
    function EditBlog(BID) {
        var url = '@Url.Action("BlogEdit", "Blog", new { area = "admin"})';
        url += '?BID=' + BID;
        window.location.href = url;
    }
</script>